File: Cargo.toml

package info (click to toggle)
rust-barrel 0.6.5-2
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 324 kB
  • sloc: makefile: 4
file content (52 lines) | stat: -rw-r--r-- 1,509 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "barrel"
version = "0.6.5"
authors = ["Katharina Fey <kookie@spacekookie.de>", "Rob Rowe <rippinrobr@gmail.com>"]
description = "A powerful schema migration building API for Rust"
homepage = "https://rust-db.github.io/barrel"
documentation = "https://docs.rs/barrel"
readme = "README.md"
keywords = ["sql", "database", "schema", "migration"]
categories = ["database", "development-tools"]
license = "MIT/X11 OR Apache-2.0"
repository = "https://github.com/rust-db/barrel"
[package.metadata.docs.rs]
features = ["mysql", "sqlite3", "pg", "unstable"]

[[example]]
name = "pg_strings"
required-features = ["pg"]

[[example]]
name = "sqlite_strings"
required-features = ["sqlite3"]
[dependencies.diesel_rs]
version = ">= 1.2, < 2.0"
optional = true
default_features = false
package = "diesel"

[dependencies.tempfile]
version = "3"
optional = true

[features]
default = []
diesel = ["tempfile", "diesel_rs"]
mysql = []
pg = []
sqlite3 = []
unstable = []